require_relative '../../spec_helper'


describe "Arrival Estimates" do

  describe "match method to class" do
    it "must match" do
      Frizzle.arrival_estimates.must_be_same_as Frizzle::ArrivalEstimates
    end
  end

  describe "find arrival estimates with hash" do
    let(:arrival_estimates_find_options) { Frizzle::ArrivalEstimates.find({:agencies => "24"}) }

    before do
      VCR.insert_cassette 'arrival_estimates_find_options'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::ArrivalEstimates.find({:agencies => "24"})
    end

    it "must have the correct route id" do
      arrival_estimates_find_options[0]['arrivals'][0]['route_id'].must_equal "4000092"
    end

  end

  describe "find arrival estimates with agencies" do
    let(:arrival_estimates_agencies) { Frizzle::ArrivalEstimates.find_by_agencies("24") }

    before do
      VCR.insert_cassette 'arrival_estimates_agencies'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::ArrivalEstimates.find_by_agencies("24")
    end
  end

  describe "find arrival estimates with agencies and routes" do
    let(:arrival_estimates_agencies_routes) { Frizzle::ArrivalEstimates.find_by_agencies_and_routes("24", ["4003034","4003038"]) }

    before do
      VCR.insert_cassette 'arrival_estimates_agencies_routes'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::ArrivalEstimates.find_by_agencies_and_routes("24", ["4003034","4003038"])
    end
  end

  describe "find arrival estimates with agencies and stops" do
    let(:arrival_estimates_agencies_stops) { Frizzle::ArrivalEstimates.find_by_agencies_and_stops("24", "1029") }

    before do
      VCR.insert_cassette 'arrival_estimates_agencies_stops'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::ArrivalEstimates.find_by_agencies_and_stops("24", "1029")
    end
  end

  describe "find arrival estimates with agencies and stops" do
    let(:arrival_estimates_agencies_routes_stops) { Frizzle::ArrivalEstimates.find_by_agencies_and_routes_and_stops("24", ["4003034","4003038"], "1029") }

    before do
      VCR.insert_cassette 'arrival_estimates_agencies_routes_stops'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::ArrivalEstimates.find_by_agencies_and_routes_and_stops("24",["4003034","4003038"], "1029")
    end
  end

end