require_relative '../../spec_helper'

describe "Stops" do

  describe "match method to class" do
    it "must match" do
      Frizzle.stops.must_be_same_as Frizzle::Stops
    end
  end

  describe "find stops with hash" do
    let(:stops_find_options) { Frizzle::Stops.find({:agencies => "24"}) }

    before do
      VCR.insert_cassette 'stops_find_options'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::Stops.find({:agencies => "24"})
    end

    it "must be the correct stop code" do
      stops_find_options[0]['code'].must_equal "1029"
    end

    it "must be the correct stop id" do
      stops_find_options[0]['stop_id'].must_equal "4049406"
    end

    it "must be the correct agencies" do
      stops_find_options[0]['agency_ids'].must_equal ["12","24"]
    end

    it "must be the correct name" do
      stops_find_options[0]['name'].must_equal "Renaissance Pkwy at Leonardo Dr"
    end
  end

  describe "find stops with agencies id" do
    let(:stops_agency_id) { Frizzle::Stops.find_by_agencies(24) }

    before do
      VCR.insert_cassette 'stops_agency_id'
    end

    after do
      VCR.eject_cassette
    end

    it "records the fixture" do
      Frizzle::Stops.find_by_agencies(24)
    end

    it "must be the correct code" do
      stops_agency_id[0]['code'].must_equal "1029"
    end
  end

end